SELECT * FROM Bloggers

SELECT [id],[Name] FROM Bloggers

--   Query Designer
SELECT id, Name, Email
FROM Bloggers
ORDER BY Name

--   Query Designer
SELECT id, Name, Email
FROM Bloggers
WHERE (Email = N'kingherc@gmail.com') OR (Email = N'dj7solid@domain.com')
ORDER BY Name

SELECT id, Name, Email
FROM Bloggers
WHERE Email LIKE '%@domain.com'

-- Multiple rows in insert, new in SQL Server 2008
INSERT INTO Bloggers (Name, Email)
VALUES (N'', N'manos@domain.com'), (N'', N'alex@domain.com')

INSERT INTO Bloggers (Name)
VALUES (N'jpad')

UPDATE Bloggers
SET Name = N'John Papadakis', Email = N'jpad@domain.com'
WHERE (id = 6)

-- Constraints

--    ,  
INSERT INTO Bloggers (Email)
VALUES (N'test@domain.com')

INSERT INTO Bloggers (Name,Email)
VALUES (N'John Papadakis',N'invalidemail')

DELETE FROM Bloggers
WHERE (Name = N'John Papadakis') AND (Email = N'invalidemail')

--  CHECK constraint   email

INSERT INTO Bloggers (Name,Email)
VALUES (N'John Papadakis',N'johnpapadakis@domain.com')

--  UNIQUE index   name

--   Blogs  Template "Table > Create Table"

USE MyWebsiteDB
GO

IF OBJECT_ID('dbo.Blogs', 'U') IS NOT NULL
  DROP TABLE dbo.Blogs
GO

CREATE TABLE dbo.Blogs
(
	id int IDENTITY(1,1) NOT NULL, 
	Title nvarchar(50) NOT NULL, 
    CONSTRAINT PK_Blogs PRIMARY KEY (id)
)
GO

--   Tags  Posts

INSERT INTO Posts (Title, CreatedOn, XHTML)
VALUES (N'SQL Server 2008 and .NET', '2009-11-19 14:00', '<b><u>more</u> stuff</b>')

--    CreatedOn   getdate()

INSERT INTO Posts (Title)
VALUES (N'Welcome 2')
