--     posts               dd/mm/yy?
SELECT 
	(
	Title + N', post created on ' +
	CAST(DATENAME(day, CreatedOn) AS CHAR(2)) + N'/' + 
	CAST(MONTH(CreatedOn) AS CHAR(2)) + N'/' + 
	RIGHT(CAST(YEAR(CreatedOn) AS CHAR(4)), 2) 
	) AS finaltitle
FROM Posts

--    bloggers  administrators?
SELECT COUNT(Administrator) FROM Blogs
SELECT COUNT(DISTINCT Administrator) AS Administrators FROM Blogs

--       administrators  blogs?
SELECT Bloggers.id FROM Bloggers
WHERE id IN (
	SELECT Blogs.Administrator FROM Blogs
)

--       administrators  blogs? (  )
SELECT * FROM Blogs AS blog
INNER JOIN Bloggers AS blogger
ON blog.Administrator = blogger.id

SELECT DISTINCT blogger.id AS adminid FROM Blogs AS blog
INNER JOIN Bloggers AS blogger
ON blog.Administrator = blogger.id

--     blogger    blogs?
SELECT blogger.id AS bloggerid, blog.id AS blogid FROM Bloggers AS blogger
INNER JOIN Blogs AS blog
ON blogger.id = blog.Administrator
--  
SELECT blogger.id AS bloggerid, COUNT(blog.id) AS blogsadministered FROM Bloggers AS blogger
INNER JOIN Blogs AS blog
ON blogger.id = blog.Administrator
--       GROUP BY  :
SELECT blogger.id AS bloggerid, COUNT(blog.id) AS blogsadministered FROM Bloggers AS blogger
INNER JOIN Blogs AS blog
ON blogger.id = blog.Administrator
GROUP BY blogger.id
--      blogger   ,  ORDER BY DESC     TOP 1:
SELECT TOP 1 blogger.id AS bloggerid, COUNT(blog.id) AS blogsadministered FROM Bloggers AS blogger
INNER JOIN Blogs AS blog
ON blogger.id = blog.Administrator
GROUP BY blogger.id
ORDER BY blogsadministered DESC

--      bloggers,      administrators  blogs?
SELECT * FROM Bloggers AS blogger
LEFT OUTER JOIN Blogs AS blog
ON blogger.id = blog.Administrator

SELECT COUNT(*) AS nonadmins FROM Bloggers AS blogger
LEFT OUTER JOIN Blogs AS blog
ON blogger.id = blog.Administrator
WHERE blog.id IS NULL

--     tags   posts (many-to-many)?
SELECT * FROM PostTags AS posttag
INNER JOIN Tags AS tag
ON posttag.tagid = tag.id
INNER JOIN Posts AS post
ON posttag.postid = post.id
--  
SELECT tag.id, tag.name, post.id, post.Title FROM PostTags AS posttag
INNER JOIN Tags AS tag
ON posttag.tagid = tag.id
INNER JOIN Posts AS post
ON posttag.postid = post.id
